JSON for Modern C++ 3.7.3

accept
accept
accept
allocator_type
array
array_t
at
at
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
binary
binary
binary
binary
binary_t
boolean_t
cbegin
cend
clear
const_iterator
const_pointer
const_reference
const_reverse_iterator
contains
contains
count
crbegin
crend
detail::external_constructor
diff
difference_type
dump
emplace
emplace_back
empty
end
end
erase
erase
erase
erase
error_handler_t
exception
find
find
flatten
from_bson
from_bson
from_bson
from_cbor
from_cbor
from_cbor
from_msgpack
from_msgpack
from_msgpack
from_ubjson
from_ubjson
from_ubjson
front
front
get
get
get
get
get
get
get_allocator
get_binary
get_binary
get_ptr
get_ptr
get_ref
get_ref
get_to
get_to
initializer_list_t
input_format_t
insert
insert
insert
insert
insert
insert
insert_iterator
invalid_iterator
is_array
is_binary
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_number_unsigned
is_object
is_primitive
is_string
is_structured
items
items
iterator
iterator_wrapper
iterator_wrapper
json_pointer
json_sax_t
json_serializer
max_size
merge_patch
meta
number_float_t
number_integer_t
number_unsigned_t
object
object_comparator_t
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator+=
operator<
operator<
operator<
operator<<
operator<<
operator<=
operator<=
operator<=
operator=
operator==
operator==
operator==
operator>
operator>
operator>
operator>=
operator>=
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
other_error
out_of_range
parse
parse
parse
parse_error
parse_event_t
parser_callback_t
patch
pointer
push_back
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
sax_parse
sax_parse
sax_parse
size
size_type
string_t
swap
swap
swap
swap
swap
swap
to_bson
to_bson
to_bson
to_cbor
to_cbor
to_cbor
to_msgpack
to_msgpack
to_msgpack
to_ubjson
to_ubjson
to_ubjson
type
type_error
type_name
unflatten
update
update
value
value
value
value
value_t
value_type
~basic_json
| ## ◆ erase() [1/4]
void nlohmann::basic_json::erase | ( | const size_type | idx | ) |
| inline
  Removes element from a JSON array at the index idx. Parameters
  [in] | idx | index of the element to remove
  Exceptions
  type_error.307 | when called on a type other than JSON object; example: `"cannot use erase() with null"`
  out_of_range.401 | when `idx >= size()`; example: `"array index 17 is out of range"`
  Complexity Linear in distance between idx and the end of the container. Example The example shows the effect of `erase()`. 1 #include <iostream> 2 #include <nlohmann/json.hpp> 3 4 using json = nlohmann::json; 5 6 int main() 7 { 8 // create a JSON array 9 json j_array = {0, 1, 2, 3, 4, 5}; 10 11 // call erase() 12 j_array.erase(2); 13 14 // print values 15 std::cout << j_array << '\n'; 16 } Output (play with this example online):
      [0,1,3,4,5]
  The example code above can be translated with
      g++ -std=c++11 -Isingle_include doc/examples/erase__size_type.cpp -o erase__size_type
See also erase(IteratorType) – removes the element at a given position erase(IteratorType, IteratorType) – removes the elements in the given range erase(const typename object_t::key_type&) – removes the element from an object at the given key Since version 1.0.0 Definition at line 20054 of file json.hpp.

nlohmann::json
basic_json<> json
default JSON class
Definition: json.hpp:2774